F-secure Safari Extension not working on macOS Mojave (Safari 12.0)

I installed latest macOS Mojave 10.14 Public Beta. This macOS version has many security updates eg. Safari no longer support dangerous legacy extension from webpages (outside Mac AppStore). Safari 12.0 on macOS Mojave support only trusted extensions from Mac AppStore. I suggest publish your F-Secure browser extension on Mac AppStore.

 

Articles about this change on latest Safari 12.0

https://9to5mac.com/2018/06/09/safari-12-extensions-more/

https://www.reddit.com/r/apple/comments/8onctq/psa_safari_on_macos_mojave_no_longer_supports/

 

Safari legacy extension not supported.png

 

Best Answer

  • LakshLaksh Posts: 4,424
    Accepted Answer

    Hello Everyone,

     

    As updated in the above article, SAFE for Mac 17.4 has been released, and we have started the automatic updates. If don't want to wait for the automatic update but want to install the latest version immediately, log in to your My F-Secure and install it manually. 

Answers

  • Dear F-Secure community,

     

    It seems like the issue raised by Pawel still exists. Even now that the final macOS Mojave has been released. Is there a way to tackle the below error?

     

    Screenshot 2018-09-29 at 9.32.37.png 

  • NADERNADER Posts: 5

    Dear Laksh,

     

    Thanks a lot for your prompt response. Glad to hear we will have a fix / new release soon Smiley Happy.

     

    Wish you a pleasant day!

     

     

This discussion has been closed.